package com.zjrs.zwnw.rlzysc.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

@TableName(value = "v_rs_rlzy_ygbayg_zs")
public class RsRlzyYgbaygZsPO {

    @TableId(value = "rs_rlzy_ygbayg_zs_lsh", type = IdType.ASSIGN_UUID)
    @TableField(value = "rs_rlzy_ygbayg_zs_lsh")
    private String rsrlzyygbaygzslsh;   // 流水号
    @TableField(value = "rs_rlzy_ygbadw_lsh")
    private String rsrlzyygbadwlsh;   // 用工备案单位表流水号
    @TableField(value = "xm")
    private String xm;   // 姓名
    @TableField(value = "zjlx")
    private String zjlx;   // 证件类型
    @TableField(value = "zjhm")
    private String zjhm;   // 证件号码
    @TableField(value = "hjfxzqh")
    private String hjfxzqh;   // 户籍地行政区划
    @TableField(value = "jzdz")
    private String jzdz;   // 居住地址
    @TableField(value = "csgw")
    private String csgw;   // 从事岗位
    @TableField(value = "ygfs")
    private String ygfs;   // 用工方式
    @TableField(value = "rzsj")
    private String rzsj;   // 入职时间
    @TableField(value = "htdqsj")
    private String htdqsj;   // 合同到期时间
    @TableField(value = "bz")
    private String bz;   // 备注
    @TableField(value = "lzsj")
    private String lzsj;   // 离职时间
    @TableField(value = "ryzt")
    private String ryzt;   // 人员状态
    @TableField(value = "sfqysb")
    private String sfqysb;   // 是否企业上报
    @TableField(value = "zxcbyf")
    private String zxcbyf;   // 最新参保月份
    @TableField(value = "gszxj")
    private String gszxj;   // 个税最新缴纳月份
    @TableField(value = "csmzxsj")
    private String csmzxsj;   // 场所码最新打卡时间
    @TableField(value = "ts_yxbz")
    private String tsyxbz;   // 有效标志
    @TableField(value = "bae001")
    private String bae001;   // 创建机构
    @TableField(value = "bae002")
    private String bae002;   // 创建人
    @TableField(value = "bae003")
    private String bae003;   // 创建时间
    @TableField(value = "bae004")
    private String bae004;   // 最近修改人
    @TableField(value = "bae005")
    private String bae005;   // 最近修改时间
    @TableField(value = "bae006")
    private String bae006;   // 最近修改机构

    public String getRsrlzyygbaygzslsh() {
        return rsrlzyygbaygzslsh;
    }

    public void setRsrlzyygbaygzslsh(String rsrlzyygbaygzslsh) {
        this.rsrlzyygbaygzslsh = rsrlzyygbaygzslsh;
    }

    public String getRsrlzyygbadwlsh() {
        return rsrlzyygbadwlsh;
    }

    public void setRsrlzyygbadwlsh(String rsrlzyygbadwlsh) {
        this.rsrlzyygbadwlsh = rsrlzyygbadwlsh;
    }

    public String getXm() {
        return xm;
    }

    public void setXm(String xm) {
        this.xm = xm;
    }

    public String getZjlx() {
        return zjlx;
    }

    public void setZjlx(String zjlx) {
        this.zjlx = zjlx;
    }

    public String getZjhm() {
        return zjhm;
    }

    public void setZjhm(String zjhm) {
        this.zjhm = zjhm;
    }

    public String getHjfxzqh() {
        return hjfxzqh;
    }

    public void setHjfxzqh(String hjfxzqh) {
        this.hjfxzqh = hjfxzqh;
    }

    public String getJzdz() {
        return jzdz;
    }

    public void setJzdz(String jzdz) {
        this.jzdz = jzdz;
    }

    public String getCsgw() {
        return csgw;
    }

    public void setCsgw(String csgw) {
        this.csgw = csgw;
    }

    public String getYgfs() {
        return ygfs;
    }

    public void setYgfs(String ygfs) {
        this.ygfs = ygfs;
    }

    public String getRzsj() {
        return rzsj;
    }

    public void setRzsj(String rzsj) {
        this.rzsj = rzsj;
    }

    public String getHtdqsj() {
        return htdqsj;
    }

    public void setHtdqsj(String htdqsj) {
        this.htdqsj = htdqsj;
    }

    public String getBz() {
        return bz;
    }

    public void setBz(String bz) {
        this.bz = bz;
    }

    public String getLzsj() {
        return lzsj;
    }

    public void setLzsj(String lzsj) {
        this.lzsj = lzsj;
    }

    public String getRyzt() {
        return ryzt;
    }

    public void setRyzt(String ryzt) {
        this.ryzt = ryzt;
    }

    public String getSfqysb() {
        return sfqysb;
    }

    public void setSfqysb(String sfqysb) {
        this.sfqysb = sfqysb;
    }

    public String getZxcbyf() {
        return zxcbyf;
    }

    public void setZxcbyf(String zxcbyf) {
        this.zxcbyf = zxcbyf;
    }

    public String getGszxj() {
        return gszxj;
    }

    public void setGszxj(String gszxj) {
        this.gszxj = gszxj;
    }

    public String getCsmzxsj() {
        return csmzxsj;
    }

    public void setCsmzxsj(String csmzxsj) {
        this.csmzxsj = csmzxsj;
    }

    public String getTsyxbz() {
        return tsyxbz;
    }

    public void setTsyxbz(String tsyxbz) {
        this.tsyxbz = tsyxbz;
    }

    public String getBae001() {
        return bae001;
    }

    public void setBae001(String bae001) {
        this.bae001 = bae001;
    }

    public String getBae002() {
        return bae002;
    }

    public void setBae002(String bae002) {
        this.bae002 = bae002;
    }

    public String getBae003() {
        return bae003;
    }

    public void setBae003(String bae003) {
        this.bae003 = bae003;
    }

    public String getBae004() {
        return bae004;
    }

    public void setBae004(String bae004) {
        this.bae004 = bae004;
    }

    public String getBae005() {
        return bae005;
    }

    public void setBae005(String bae005) {
        this.bae005 = bae005;
    }

    public String getBae006() {
        return bae006;
    }

    public void setBae006(String bae006) {
        this.bae006 = bae006;
    }
}
